List events
GET
https://api-v2.test.eldowallet.fr/events
Returns the paginated list of the events in your wallet. Each event is a ticket template from which you issue passes.
Request
query parameters
sortOrderstringSort order: `asc` or `desc`. Default: `desc`.enum:asc,descdefault:"desc"searchstringCase-insensitive search on the event name (`name`) or its ID.sortBystringField to sort by. Default: `createdAt`.default:"createdAt"limitnumberNumber of items per page, from 1 to 1000. Default: `10`.default:10min: 1max: 1000pagenumberPage number, starting at 1. Default: `1`.default:1min: 1
header parameters
x-langstringLanguage for responsesenum:en,frdefault:"en"
Responses
- 200
- 401
- 403
- 500
Schema
application/jsondocsobject[] requiredtotalDocsnumber requiredlimitnumber requiredpagenumbertotalPagesnumber requiredpagingCounternumber requiredhasPrevPageboolean requiredhasNextPageboolean requiredprevPagenumbernextPagenumber
UNAUTHORIZED
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
FORBIDDEN
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
UNKNOWN_ERROR
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email